package com.ssj.service.conch.teacher.request.teacherorg;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 18:38 2019/10/24
 * @Modified By
 */
public class TeacherMessaggeRequest implements Serializable {

    private final static long serialVersionUID = 1L;

    @NotNull(message = "难题图片id不能为空")
    @ApiModelProperty(name = "problemPictureId", value = "难题图片id", required = true)
    private String problemPictureId;

    @ApiModelProperty(name = "teacherMessage", value = "老师留言", required = true)
    private String teacherMessage;

    @ApiModelProperty(name = "fileKeys", value = "图片路径list", required = false)
    private List<String> fileKeys;

    @ApiModelProperty(name = "voiceKeyList", value = "语音路径list", required = false)
    private List<Map<String, String>> voiceKeyList;

    public String getProblemPictureId() {
        return problemPictureId;
    }

    public void setProblemPictureId(String problemPictureId) {
        this.problemPictureId = problemPictureId;
    }

    public String getTeacherMessage() {
        return teacherMessage;
    }

    public void setTeacherMessage(String teacherMessage) {
        this.teacherMessage = teacherMessage;
    }

    public List<String> getFileKeys() {
        return fileKeys;
    }

    public void setFileKeys(List<String> fileKeys) {
        this.fileKeys = fileKeys;
    }

    public List<Map<String, String>> getVoiceKeyList() {
        return voiceKeyList;
    }

    public void setVoiceKeyList(List<Map<String, String>> voiceKeyList) {
        this.voiceKeyList = voiceKeyList;
    }
}
